From 13684e95bc6d04ff51586ee860f951a671eba13b Mon Sep 17 00:00:00 2001
From: David Carlos <ddavidcarlos1392@gmail.com>
Date: Mar 16 2018 02:30:30 +0000
Subject: [PATCH 12/17] Fix Jenkinsfile


---

diff --git a/Jenkinsfile b/Jenkinsfile
index 9d1ce46..341728d 100644
--- a/Jenkinsfile
+++ b/Jenkinsfile
@@ -6,7 +6,9 @@ pipeline {
     stage('Create Virtualenv') {
       steps {
         sh 'virtualenv -p /usr/bin/python3 .'
-	sh 'source bin/activate && pip install -e .'
+	      sh 'source bin/activate && pip install -e .'
+	      sh "source bin/activate && pip install fedmsg[consumers]"
+	      sh "source bin/activate && pip install -r test_requirements.txt"
       }
     }
 
@@ -18,7 +20,7 @@ pipeline {
 
     stage('Run Tests') {
       steps {
-        sh "source bin/activate && pip install coverage && make check"
+        sh "source bin/activate && make test"
       }
 	post {
 		success {

